*** a/src/backend/access/transam/xlog.c
--- b/src/backend/access/transam/xlog.c
***************
*** 5714,5720 **** StartupXLOG(void)
  {
  	XLogCtlInsert *Insert;
  	CheckPoint	checkPoint;
! 	bool		wasShutdown;
  	bool		reachedStopPoint = false;
  	bool		haveBackupLabel = false;
  	XLogRecPtr	RecPtr,
--- 5714,5720 ----
  {
  	XLogCtlInsert *Insert;
  	CheckPoint	checkPoint;
! 	bool		wasShutdown = false;
  	bool		reachedStopPoint = false;
  	bool		haveBackupLabel = false;
  	XLogRecPtr	RecPtr,
***************
*** 5932,5942 **** StartupXLOG(void)
  					 (errmsg("could not locate a valid checkpoint record")));
  		}
  		memcpy(&checkPoint, XLogRecGetData(record), sizeof(CheckPoint));
  	}
  
  	LastRec = RecPtr = checkPointLoc;
- 	wasShutdown = (record->xl_info == XLOG_CHECKPOINT_SHUTDOWN);
- 
  	ereport(DEBUG1,
  			(errmsg("redo record is at %X/%X; shutdown %s",
  					checkPoint.redo.xlogid, checkPoint.redo.xrecoff,
--- 5932,5942 ----
  					 (errmsg("could not locate a valid checkpoint record")));
  		}
  		memcpy(&checkPoint, XLogRecGetData(record), sizeof(CheckPoint));
+ 
+ 		wasShutdown = (record->xl_info == XLOG_CHECKPOINT_SHUTDOWN);
  	}
  
  	LastRec = RecPtr = checkPointLoc;
  	ereport(DEBUG1,
  			(errmsg("redo record is at %X/%X; shutdown %s",
  					checkPoint.redo.xlogid, checkPoint.redo.xrecoff,
